ob_start
output_reset_rewrite_vars
Output Control Functions
PHP Manual

# output_add_rewrite_var

Add URL rewriter values

### Description

bool output_add_rewrite_var ( string `$name` , string `$value` )

This function adds another name/value pair to the URL rewrite mechanism. The name and value will be added to URLs (as GET parameter) and forms (as hidden input fields) the same way as the session ID when transparent URL rewriting is enabled with session.use_trans_sid. Please note that absolute URLs (http://example.com/..) aren't rewritten.

This function's behavior is controlled by the url_rewriter.tags php.ini parameter.

> Note: Calling this function will implicitly start output buffering if it is not active already.

### Parameters

`name`

  The variable name.

`value`

  The variable value.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 output_add_rewrite_var example

`<?php
output_add_rewrite_var('var', 'value');
// some links
echo '<a href="file.php">link</a>
<a href="http://example.com">link2</a>';
// a form
echo '<form action="script.php" method="post">
<input type="text" name="var2" />
</form>';
print_r(ob_list_handlers());
?>`

The above example will output:

    <a href="file.php?var=value">link</a>
    <a href="http://example.com">link2</a>

    <form action="script.php" method="post">
    <input type="hidden" name="var" value="value" />
    <input type="text" name="var2" />
    </form>

    Array
    (
        [0] => URL-Rewriter
    )

### See Also

- output_reset_rewrite_vars
- ob_flush
- ob_list_handlers